Subject: Ticket Assigned - Pathetic delivery service of splash
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 13 Nov 2022 10:55:20 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Pathetic delivery service of splash  Hello My order number is 9594749378 I have ordered on 9 Nov and got email on 10 Nov that my order is out for delivery. It’s been 4 days the order is still out. Last 2 days I m getting this below sms instead Hi, we missed you! We were unable to deliver your order 9594749378 on 2022-11-10 23:46:25, reason: Could not attempt. We'll make another delivery attempt soon. Click to give feedback http://m.shk.do/4gR4bjxU Stay Happy! Hi, we missed you! We were unable to deliver your order 9594749378 on 2022-11-12 23:04:10, reason: Future Date Delivery. We'll make another delivery attempt soon. Click to give feedback http://m.shk.do/80nIU7kU Stay Happy! I called ur call center also yesterday and apart of apologies I hear nothing and she assured me that I will get the delivery same day yesterday. But unfortunately nothing instead the sms above. Now please return my money back and i don’t want any of ur order now nor in future. Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5254821